﻿Imports System.Data.OleDb
Public Class FormStudentDatabase
    Private GridStudentTableDisplay As DataTable
    Private StudentConnection As OleDbConnection

    Private Sub ButtonClose_Click(sender As Object, e As EventArgs) Handles ButtonClose.Click
        Me.Close()
    End Sub

    Private Sub FormStudentDatabase_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        GridStudentTableDisplay = New DataTable
        GridStudentTableDisplay.Columns.Add("Student ID") 'setting the captions
        GridStudentTableDisplay.Columns.Add("Student Name")
        GridStudentTableDisplay.Columns.Add("Student Age")
        DataGridViewStudentList.DataSource = GridStudentTableDisplay
        'creating the connection and opening the database
        StudentConnection = New OleDbConnection
        'setting the connection string
        StudentConnection.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data source="
        'full path to the database
        StudentConnection.ConnectionString += "G:\\TUTORIALS\\StudentDatabaseExample\\StudentDatabase.mdb"
        Try
            StudentConnection.Open() 'opening the connection 
        Catch ex As Exception
            MessageBox.Show(ex.ToString()) 'shows the exception in the messagebox if occured
        End Try

    End Sub

    Private Sub AddAStudentToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles AddAStudentToolStripMenuItem.Click
        Dim formaddstudent As New FormAddStudent
        formaddstudent.SetDbConnection(StudentConnection) 'setting the connection for the new form
        formaddstudent.Show() 'displaying the form
    End Sub

    Private Sub ShowAllStudentToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles ShowAllStudentToolStripMenuItem.Click
        Try
            Dim mySelectQuery As String = "SELECT * FROM STUDENT_TB"
            Dim StudentCommand As New OleDbCommand(mySelectQuery, StudentConnection)
            'creating new dataadapter and setting its command
            Dim StudentDataAdapter As New OleDbDataAdapter
            StudentDataAdapter.SelectCommand = StudentCommand
            'creating the dataset and filling it
            Dim StudentDataset As New DataSet
            StudentDataAdapter.Fill(StudentDataset, "STUDENT_TB")
            'displaying the data into the datagrid
            DataGridViewStudentList.DataSource = StudentDataset.Tables("STUDENT_TB")
        Catch ex As Exception
            MessageBox.Show(ex.ToString()) 'showing the exceptions if any
        End Try
    End Sub

    Private Sub DeleteAStudentToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles DeleteAStudentToolStripMenuItem.Click
        'creating the delete form
        Dim formdeletestudent As New FormDeleteStudent
        'setting the database connection
        formdeletestudent.SetDbConnection(StudentConnection)
        'showing the form
        formdeletestudent.Show()
    End Sub
End Class
