﻿Imports System.Data.OleDb
Public Class FormDeleteStudent
    Dim studentoledbConnection As OleDbConnection
    Private Sub FormDeleteStudent_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        LoadStudentInfo()
    End Sub
    Public Sub SetDbConnection(ByRef DBConnection As OleDbConnection)
        studentoledbConnection = DBConnection 'setting the database connection
    End Sub
    Public Sub LoadStudentInfo()
        Try
            Dim deleteCommand As New OleDbCommand
            deleteCommand.Connection = studentoledbConnection
            Dim strLoadQuery As String
            strLoadQuery = "SELECT * FROM STUDENT_TB"
            deleteCommand.CommandText = strLoadQuery
            'creating the reader and executingit
            Dim deleteReader As OleDbDataReader = deleteCommand.ExecuteReader()
            ListBoxStudent.Items.Clear()
            'adding items into the listbox
            While deleteReader.Read
                ListBoxStudent.Items.Add(deleteReader.GetValue(0))
            End While
            'closing the reader
            deleteReader.Close()
        Catch ex As Exception
            MessageBox.Show(ex.ToString())
        End Try
    End Sub

    Private Sub ListBoxStudent_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ListBoxStudent.SelectedIndexChanged
        Try
            Dim findCommand As New OleDbCommand 'creating new command
            findCommand.Connection = studentoledbConnection
            Dim strFindQuery As String
            strFindQuery = "SELECT * FROM STUDENT_TB WHERE StudentID= " + CType(ListBoxStudent.SelectedItem, String)
            findCommand.CommandText = strFindQuery 'setting the query to execute with the datareader
            Dim deleteReader As OleDbDataReader = findCommand.ExecuteReader
            deleteReader.Read() 'reading from datareader
            LabelName.Text = deleteReader.GetValue(1) 'setting the name into the label
            deleteReader.Close() 'closing the reader
        Catch ex As Exception
            MessageBox.Show(ex.ToString())
        End Try
    End Sub

    Private Sub ButtonDelete_Click(sender As Object, e As EventArgs) Handles ButtonDelete.Click
        Try
            Dim deleteCommand As New OleDbCommand
            'setting the connection
            deleteCommand.Connection = studentoledbConnection
            Dim strDeleteQuery As String
            strDeleteQuery = "DELETE FROM STUDENT_TB WHERE StudentID = " + CType(ListBoxStudent.SelectedItem, String)
            'setting the query
            deleteCommand.CommandText = strDeleteQuery
            'executing the reader
            Dim deleteReader As OleDbDataReader = deleteCommand.ExecuteReader
            'closing the reader
            deleteReader.Close()
            'reloading the student id into the listbox
            LabelName.Text = ""
            LoadStudentInfo()
            MessageBox.Show("Student Deleted ...", "Student Database")
        Catch ex As Exception
            MessageBox.Show(ex.ToString())
        End Try
    End Sub

    Private Sub ButtonClose_Click(sender As Object, e As EventArgs) Handles ButtonClose.Click
        Me.Close()
    End Sub
End Class